m4_define(PROGRAM, para_upgrade_db)
[suite upgrade_db]
version-string = GIT_VERSION()
[supercommand para_upgrade_db]
	purpose = upgrade the paraslash database to version 0.7
	[description]
		The database format changes with paraslash-0.7.0. This program converts
		the database from the older 0.4 format that was used in paraslash 0.4.x
		through 0.6.x. In has to be executed only once.
	[/description]
	m4_include(common-option-section.m4)
	m4_include(help.m4)
	m4_include(detailed-help.m4)
	m4_include(version.m4)
	m4_include(loglevel.m4)
	[option src-database-dir]
		summary = location of the old afs database
		arg_info = required_arg
		arg_type = string
		typestr = directory
		[help]
			The directory which contains the database to be converted. The default
			is ~/.paraslash/afs_database-0.4.
		[/help]
	[option dst-database-dir]
		summary = location of the new afs database
		arg_info = required_arg
		arg_type = string
		typestr = directory
		[help]
			The directory which contains the converted database after the program
			has terminated. The default is ~/.paraslash/afs_database-0.7.
		[/help]
